# proxysql_global_variables – Gets or sets the proxysql global variables

- Synopsis

- Requirements

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- The proxysql_global_variables module gets or sets the proxysql global variables.

## Requirements

The below requirements are needed on the host that executes this module.

- PyMySQL (Python 2.7 and Python 3.X), or

- MySQLdb (Python 2.x)

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
config_file path | Default: "" | Specify a config file from which login_user and login_password are to be read.

load_to_runtime
boolean

Choices:
- no
- yes ←

Dynamically load config to runtime memory.

login_host string | Default: "127.0.0.1" | The host used to connect to ProxySQL admin interface.
login_password string |  | The password used to authenticate to ProxySQL admin interface.
login_port integer | Default: 6032 | The port used to connect to ProxySQL admin interface.
login_user string |  | The username used to authenticate to ProxySQL admin interface.

save_to_disk
boolean

Choices:
- no
- yes ←

Save config to sqlite db on disk to persist the configuration.

value - |  | Defines a value the variable specified using variable should be set to.
variable - / required |  | Defines which variable should be returned, or if value is specified which variable should be updated.

## Examples

    ---
    # This example sets the value of a variable, saves the mysql admin variables
    # config to disk, and dynamically loads the mysql admin variables config to
    # runtime. It uses supplied credentials to connect to the proxysql admin
    # interface.

    - proxysql_global_variables:
        login_user: 'admin'
        login_password: 'admin'
        variable: 'mysql-max_connections'
        value: 4096

    # This example gets the value of a variable.  It uses credentials in a
    # supplied config file to connect to the proxysql admin interface.

    - proxysql_global_variables:
        config_file: '~/proxysql.cnf'
        variable: 'mysql-default_query_delay'

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
stdout dictionary | Returns the current variable and value, or the newly set value for the variable supplied.. | Returns the mysql variable supplied with it's associated value. Sample: {'changed': False, 'msg': 'The variable is already been set to the supplied value', 'var': {'variable_name': 'mysql-poll_timeout', 'variable_value': '3000'}}

## Status

- This module is guaranteed to have backward compatible interface changes going forward. [stableinterface]

- This module is maintained by the Ansible Community. [community]

### Authors

- Ben Mildren (@bmildren)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.